import { Entity, ManyToMany } from 'typeorm';
import { MultiNamed } from './base/multi-named';
import { Copy } from './copy';

@Entity()
export class Translator extends MultiNamed {
  @ManyToMany(() => Copy, {
    nullable: false,
    onDelete: 'CASCADE',
    onUpdate: 'CASCADE',
  })
  public copies: Promise<Copy[]>;
}
